Subject: Re: [PATCH] git-gui: Include version check and test for tearoff menu entry

From: Pat Thoyts <[email-masked]>
Date: Tue, 15 Feb 2011 00:31:39 +0000

Heiko Voigt <[email-masked]> writes:

>Hi,
>
>On Mon, Feb 14, 2011 at 01:03:24PM +0000, Pat Thoyts wrote:
>> The --all option for git fetch was added in v1.6.6 so ensure we have a usable version before adding
>> the menu items.
>> Sometimes people use tearoff menus and these offset the entry indices by one.
>> 
>> Signed-off-by: Pat Thoyts <[email-masked]>
>> ---
>> 
>> Heiko Voigt <[email-masked]> writes:
>> >It just came to my mind that I probably should implement a version check
>> >of the commandline to ensure that this option is available. Thats why I
>> >tagged only this patch with RFC.
>> >
>> >Cheers Heiko
>> 
>> The posted patch seems fine except that an error is reported if tearoff
>> menus are present. So this patch accommodates tearoff's. I looked up
>> when the --all option was added (1.6.6) and skip adding the menu entry
>> if we have an older version.
>> 
>> Seems to do the right thing.
>
>Works and looks good to me as well. Did not know about tearoff menues
>how do you get those?
>
>Cheers Heiko
>
>P.S.: I discovered a whitespace issue in line 258 which came from my patch.
>Could you correct that?

Sure - squashed in.

The tearoff's appear by default on unix but are disabled on windows as
they are not normal gui features on that platform. Search for
*Menu.tearOff 0 in git-gui.sh. Unix users can disable these using the
.Xresources file adding *Menu.tearOff: 0

-- 
Pat Thoyts                            http://www.patthoyts.tk/
PGP fingerprint 2C 6E 98 07 2C 59 C8 97  10 CE 11 E6 04 E0 B9 DD